Documentation for Confluence 5.4.
Documentation for Confluence OnDemand and earlier versions of Confluence is available too.

Skip to end of metadata
Go to start of metadata

Confluence 2.5.7 is a recommended upgrade that resolves two issues you may have encountered in Confluence 2.5.6:

  • Indexing errors claiming 'too many open files', caused by duplicate libraries in the Confluence web application.
  • Caching should be enabled by default for the LDAP configuration in atlassian-user.xml.

Confluence 2.5.7 can be downloaded from http://www.atlassian.com/software/confluence/ConfluenceDownloadCenter.jspa, and is a free upgrade for all customers who purchased their Confluence license or maintenance renewal after 30 August 2006.

(info) If you don't wish to upgrade to 2.5.7, but do want a fix for issue CONF-9251 ("Too many open files" error during index operations), you can manually remove the duplicate libraries shipped in the Confluence web application. Please follow the instructions on the JIRA issue.

Upgrading to Confluence 2.5.7

Upgrading Confluence should be fairly straightforward. You can find instructions here. We strongly recommend that you backup your confluence.home directory and database before upgrading!

Changes in 2.5.7

Here's a complete list of the bug fixes in Confluence 2.5.7:

Unable to locate JIRA server for this macro. It may be due to Application Link configuration.